﻿@model eCommerce.Services.Model.Purchase
@{
    ViewBag.Title = "Recepción de Mercadería";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<input type="hidden" id="purchaseIdHidden" value="@Model.PurchaseId" />

<div class="page-header">
    <h1 class="page-title">Recepciones de la Compra #@Model.PurchaseId</h1>
    <div class="page-header-actions">
        
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-danger" onclick="window.location.href = '/Purchases'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            
            <button type="button" class="btn btn-outline btn-primary" id="newDeliveryButton"
                    onclick="window.location.href='/DeliverySuppliers/DeliverySuppliersUpdate/@Model.PurchaseId'"
                    @(!Model.HasPendingDeliveries ? "disabled" : "")>
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA RECEPCIÓN</span>
            </button>
            
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body" id="deliveryList">
            @Html.Partial("_DeliverySuppliersRefreshPartial", Model)
        </div>
    </div>

</div>

<!-- Modal  RECEPTION DETAIL -->
<div class="modal fade" id="ModalDeliveryDetail" aria-hidden="false" aria-labelledby="ModalDeliveryDetailLabel"
     role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content" id="modalDeliveryDetail" method="post" action="#">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="ModalDeliveryDetailLabel">Detalle de Recepción:</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div id="deliveryDetailDiv"></div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- End Modal -->

@section Scripts {

    <script type="text/javascript" src="~/Scripts/DeliverySuppliers/DeliverySuppliersList.js"></script>

}